package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SysDevice;

import java.util.List;

/**
 * 设备管理 Mapper
 */
public interface SysDeviceMapper {

    SysDevice selectDeviceById(Long deviceId);

    List<SysDevice> selectDeviceList(SysDevice device);

    int insertDevice(SysDevice device);

    int updateDevice(SysDevice device);

    int deleteDeviceById(Long deviceId);

    int deleteDeviceByIds(Long[] deviceIds);

    SysDevice checkDeviceSnUnique(String deviceSn);
}
